LoggingConfiguration (Gradle API 2.14)
Date: 2016-06-14

org.gradle.api.logging.configuration

## Interface LoggingConfiguration

- All Known Implementing Classes:
    StartParameter

      public interface LoggingConfiguration

  A `LoggingConfiguration` defines the logging settings for a Gradle build.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsoleOutput` | `getConsoleOutput()` Returns the style of logging output that should be written to the console.
    `LogLevel` | `getLogLevel()` Returns the minimum logging level to use.
    `ShowStacktrace` | `getShowStacktrace()` Returns the detail that should be included in stacktraces.
    `boolean` | `isColorOutput()` Deprecated. Use `getConsoleOutput()` instead.
    `void` | `setColorOutput(boolean colorOutput)` Deprecated. Use `setConsoleOutput(ConsoleOutput)` instead.
    `void` | `setConsoleOutput(ConsoleOutput colorOutput)` Specifies the style of logging output that should be written to the console.
    `void` | `setLogLevel(LogLevel logLevel)` Specifies the minimum logging level to use.
    `void` | `setShowStacktrace(ShowStacktrace showStacktrace)` Sets the detail that should be included in stacktraces.

- - ### Method Detail

    - #### getLogLevel

          LogLevel getLogLevel()

      Returns the minimum logging level to use. All log messages with a lower log level are ignored. Defaults to `LogLevel.LIFECYCLE`.

    - #### setLogLevel

          void setLogLevel(LogLevel logLevel)

      Specifies the minimum logging level to use. All log messages with a lower log level are ignored.

    - #### isColorOutput

          @Deprecated
          boolean isColorOutput()

      Deprecated. Use `getConsoleOutput()` instead.
      Returns true if logging output should be displayed in color when Gradle is running in a console which supports color output. The default value is true.
      Returns:
        true if logging output should be displayed in color.

    - #### setColorOutput

          @Deprecated
          void setColorOutput(boolean colorOutput)

      Deprecated. Use `setConsoleOutput(ConsoleOutput)` instead.
      Specifies whether logging output should be displayed in color.
      Parameters:
        `colorOutput` - true if logging output should be displayed in color.

    - #### getConsoleOutput

          ConsoleOutput getConsoleOutput()

      Returns the style of logging output that should be written to the console. Defaults to `ConsoleOutput.Auto`

    - #### setConsoleOutput

          void setConsoleOutput(ConsoleOutput colorOutput)

      Specifies the style of logging output that should be written to the console.

    - #### getShowStacktrace

          ShowStacktrace getShowStacktrace()

      Returns the detail that should be included in stacktraces. Defaults to `ShowStacktrace.INTERNAL_EXCEPTIONS`.

    - #### setShowStacktrace

          void setShowStacktrace(ShowStacktrace showStacktrace)

      Sets the detail that should be included in stacktraces.